#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( pics )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${DBUS_INCLUDE_DIRS}
  ${DBUS_TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${DBUS_LIBRARY_DIRS}
  ${DBUS_TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( tdepowersave )
tde_create_translated_desktop( tdepowersave.desktop )
tde_create_translated_desktop(
  SOURCE tdepowersave-autostart.desktop
  DESTINATION ${AUTOSTART_INSTALL_DIR}
)
tde_create_translated_desktop(
  SOURCE eventsrc
  DESTINATION ${DATA_INSTALL_DIR}/tdepowersave
)
install(
  FILES config/tdepowersaverc_default
  RENAME tdepowersaverc
  DESTINATION ${CONFIG_INSTALL_DIR}
)


##### tdepowersave (tdeinit) ######################

tde_add_tdeinit_executable( tdepowersave AUTOMOC
  SOURCES
    dummy.cpp autodimm.cpp autosuspend.cpp
    blacklistedit_Dialog.ui blacklisteditdialog.cpp
    configure_Dialog.ui configuredialog.cpp countdown_Dialog.ui
    countdowndialog.cpp dbusInterface.cpp detailed_Dialog.ui
    detaileddialog.cpp hardware.cpp hardware_battery.cpp
    hardware_batteryCollection.cpp hardware_cpu.cpp
    inactivity.cpp info_Dialog.ui infodialog.cpp tdepowersave.cpp
    tdepowersave.skel log_viewer.ui logviewer.cpp main.cpp
    screen.cpp settings.cpp suspenddialog.cpp suspend_Dialog.ui
  LINK
    ${DBUS_TQT_LIBRARIES} tdeio-shared ${TDEHW_LIBRARIES}
    ${XEXT_LIBRARIES} ${XTST_LIBRARIES} ${XSCRNSAVER_LIBRARIES}
)
